require 'sketchup.rb'

#---------------------------------------
#              run_dialog_5
#---------------------------------------
	def run_dialog_5()
		@windows = (RUBY_PLATFORM =~ /darwin/i) == nil

		@host = 'cabmaker32.com'
#		@host = 'localhost/wordpress'
		@service = '/test_service.php'
	
		build_startup_html()
		show_dialog()
	end
	
#---------------------------------------
#              show_dialog
#---------------------------------------
	def show_dialog()
		@dlg = UI::WebDialog.new("Test", false, "Dialog_Test_5", 500, 500, 0, 0, true);
		@dlg.set_html(@startup_html)
		@dlg.allow_actions_from_host(@host)

		@dlg.add_action_callback("ruby_callback") { |dialog, params|
			UI.messagebox( params )
			puts params
		}

		if (@windows)
			@dlg.show_modal()
		else
			@dlg.show()
		end
	end
	
#---------------------------------------
#              build_startup_html
#---------------------------------------
    def build_startup_html()
      @startup_html = <<-HTML
<!DOCTYPE html>
<html>
<head>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<script>
$(document).ready(startup);

function startup()
{
	$.ajax({
		type: 'POST',
        url: 'HOST',
		crossDomain: true,
		data: {"firstname":"Jeff"},
        dataType: 'jsonp',
		timeout: 10000,
        success: success_func,
		error: error_func
	});
}

function success_func(res)
{
	ruby_call('Your name is '+res.fullname);
}

function error_func(jqXHR, textStatus, errorThrown)
{
	ruby_call( 'error:' + textStatus + ':' + jqXHR.status );
}

function ruby_call(data)
{
   window.location.href = 'skp:ruby_callback@' + data;
}
</script>
</head>
</html>
      HTML

      host = 'http://' << @host << @service
      @startup_html.sub!('HOST', host)
    end

# ------------------------------------------------

if ( not file_loaded?( "dialog_test_5.rb" ) )
	UI.menu( "Plugins" ).add_item( "Web Dialog Test 5" ) { run_dialog_5() }
	file_loaded( "dialog_test_5.rb" )
end
# ------------------------------------------------
